%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   Log-Dispatch
%define modv   2.28
%define modp   %(echo %{modn} | cut -d'-' -f1)


Summary:       A Perl module to dispatch messages to various outputs
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       Artistic 2.0
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/D/DR/DROLSKY/%{modn}-%{modv}.tar.gz
Patch0:        %{modn}-2.22-syslog_search_path.patch
Patch1:        %{modn}-2.27-build.patch
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Dave Rolsky <autarch@urth.org>
Provides:      perl(Log::Dispatch) = %{modv}
Provides:      perl(Log::Dispatch::ApacheLog) = %{modv}
Provides:      perl(Log::Dispatch::Base) = %{modv}
Provides:      perl(Log::Dispatch::Email) = %{modv}
Provides:      perl(Log::Dispatch::Email::MIMELite) = %{modv}
Provides:      perl(Log::Dispatch::Email::MailSend) = %{modv}
Provides:      perl(Log::Dispatch::Email::MailSender) = %{modv}
Provides:      perl(Log::Dispatch::Email::MailSendmail) = %{modv}
Provides:      perl(Log::Dispatch::File) = %{modv}
Provides:      perl(Log::Dispatch::File::Locked) = %{modv}
Provides:      perl(Log::Dispatch::Handle) = %{modv}
Provides:      perl(Log::Dispatch::Null) = %{modv}
Provides:      perl(Log::Dispatch::Output) = %{modv}
Provides:      perl(Log::Dispatch::Screen) = %{modv}
Provides:      perl(Log::Dispatch::Syslog) = %{modv}
Requires:      perl(:MODULE_COMPAT_%{perl_version})
Requires:      perl(Sys::Syslog) >= 0.25
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::File)
BuildRequires: perl(Params::Validate) >= 0.15
BuildRequires: perl(Sys::Syslog) >= 0.25
BuildRequires: perl(Test::More)
BuildArch:     noarch


%description
This module manages a set of Log::Dispatch:: objects, allowing you to
add and remove output objects as desired.


%prep
%setup -q -n %{modn}-%{modv}
%patch0 -p1
%patch1 -p1


%build
%{__perl} \
	Makefile.PL \
	INSTALLDIRS="vendor"

%{__make} %{?_smp_mflags}


%check
%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist" -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d    -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changes INSTALL LICENSE README
%{perl_vendorlib}/%{modp}
%{_mandir}/man3/*.3*


%changelog
* Thu Dec 16 2010 Peter Pramberger <peterpramb@member.fsf.org> - 2.28-1
- New version (2.28)

* Thu Nov 11 2010 Peter Pramberger <peterpramb@member.fsf.org> - 2.27-1
- New version (2.27)

* Wed Sep 08 2010 Peter Pramberger <peterpramb@member.fsf.org> - 2.26-1
- New version (2.26)

* Wed Dec 03 2008 Peter Pramberger <peterpramb@member.fsf.org> - 2.22-2
- Fixed search path for Sys::Syslog

* Wed Nov 19 2008 Peter Pramberger <peterpramb@member.fsf.org> - 2.22-1
- Initial build
